Subject: bug#9493: 24.0.50; doc string of `read-from-string'

From: "Drew Adams" <[email-masked]>
Date: Tue, 13 Sep 2011 09:18:39 -0700

The return value of this function is the most important info that can be
conveyed by its doc string.  All that is said is that the value returned
is "a cons: (OBJECT-READ . FINAL-STRING-INDEX)".  There is no
description of either OBJECT-READ (could be guessed, but better to
specify it) or, especially, FINAL-STRING-INDEX (not obvious at all).
 
Describe these properly, as is done in the Elisp manual.  It is not long
to say what the manual says for FINAL-STRING-INDEX: "an integer giving
the position of the next remaining character in the string (i.e., the
first one not read)."  It would be enough to say this: "zero-based
position of first char not read".

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2011-09-05 on 3249CTO
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.5) --no-opt'